software-center crashed with AttributeError in join()

Bug #673991 reported by Salih EMIN on 2010-11-11
32
This bug affects 4 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Low
Gary Lasker
Maverick
Medium
Unassigned

Bug Description

Binary package hint: software-center

How to reproduce:

1) Open Ubuntu Software Center
2) Edit --> Software Sources
3) Updates (Tab)--> Uncheck "Pre-release repositories", wait 2 seconds then re-Check "Pre-release repositories"
4) Click "Close"
5) Crash report appears.

This is a side effect of the fix for bug 666956.

Thanks for your time

ProblemType: Crash
DistroRelease: Ubuntu 10.10
Package: software-center 3.0.6
ProcVersionSignature: Ubuntu 2.6.35-23.37-generic 2.6.35.7
Uname: Linux 2.6.35-23-generic x86_64
NonfreeKernelModules: fglrx
Architecture: amd64
CheckboxSubmission: d84cf89b9ceb64bb59d49164f0e41564
CheckboxSystem: d00f84de8a555815fa1c4660280da308
Date: Thu Nov 11 14:34:42 2010
ExecutablePath: /usr/share/software-center/software-center
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release Candidate amd64 (20100928)
InterpreterPath: /usr/bin/python2.6
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/software-center
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/software-center']
SourcePackage: software-center
Title: software-center crashed with AttributeError in join()
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Related branches

Salih EMIN (salih-emin) wrote :
visibility: private → public
tags: removed: need-duplicate-check
Dmitry Shachnev (mitya57) wrote :

Cannot reproduce with 3.0.6.

Changed in software-center (Ubuntu):
status: New → In Progress
importance: Undecided → Low
assignee: nobody → Gary Lasker (gary-lasker)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 3.1.1

---------------
software-center (3.1.1) natty; urgency=low

  [ Kiwinote ]
  * softwarecenter/app.py:
    - don't require '.deb' extentions for deb files (LP: #656967)
    - don't require absolute paths for deb files (LP: #669398)
  * softwarecenter/view/appdetailsview_gtk.py:
    - correctly reload appdetailsview after a transaction has run
    - _update_minimal() only gets two args

  [ Gary Lasker ]
  * softwarecenter/backend/channel.py,
    softwarecenter/view/channelpane.py,
    softwarecenter/view/viewswitcher.py:
    - convert channel getters to properties
  * softwarecenter/backend/config.py:
    - don't crash on a corrupted config file (LP: #662414)
  * softwarecenter/view/dependency_dialogs.py:
    - fix TypeError crash in remove dependency dialog
      (LP: #669161)
  * softwarecenter/utils.py,
    softwarecenter/view/softwarepane.py,
    softwarecenter/view/widgets/imagedialog.py,
    softwarecenter/view/widgets/spinner.py:
    - refactor spinner code
    - make a spinner panel widget and add label support
  * softwarecenter/backend/aptd.py:
    - fix crash during reload (LP: #673991)

  [ Michael Vogt ]
  * softwarecenter/view/purchasedialog.py:
    - show generic error on purchase failure and log the error
       (LP: #632361)
  * test/test_startup.py:
    - add startup speed baseline/regression test
  * software-center:
    - add --measure-startup-time commandline to allow external apps
      to drive statup performance measuring
  * utils/update-software-center-agent:
    - add --ignore-etag to force reload even if we have a cached version
  * softwarecenter/db/update.py:
    - do not fail if "MimeType" is missing from a desktop file
  * softwarecenter/apt/apthistory.py:
    - use python-apt tagfile parser instead of python-debian
  * debian/control:
    - drop python-debian dependency
  * test/test_gui_buy_something.py:
    - run test with --ignore-etag
  * softwarecenter/apt/aptcache.py, test/test_addons.py:
    - make the addons test more robust

  [ Martin Pitt ]
  * debian/rules: Supply dh --with option after $@, for compatibility with
    current debhelper.
  * debian/control: Build with scour for SVG optimization. Add python-scour
    build dependency.
 -- Michael Vogt <email address hidden> Thu, 18 Nov 2010 16:58:02 +0100

Changed in software-center (Ubuntu):
status: In Progress → Fix Released
Gary Lasker (gary-lasker) wrote :

This bug has been nominated for maverick as it is a side effect of the fix for bug 666956, and as such has caused that bug to be tagged verification-failed for the version (3.0.6) currently in maverick-proposed. Thanks!

Salih EMIN (salih-emin) wrote :

Gary,
I am the one who should thank you all for your great work !

Keep up the fight with the bugs!!

Michael Vogt (mvo) on 2010-12-02
description: updated
description: updated
Michael Vogt (mvo) on 2010-12-03
Changed in software-center (Ubuntu Maverick):
status: New → In Progress
importance: Undecided → Medium

Accepted software-center into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in software-center (Ubuntu Maverick):
status: In Progress → Fix Committed
tags: added: verification-needed
Gary Lasker (gary-lasker) wrote :

I have verified that this bug is fixed in software-center version 3.0.7 in maverick-proposed. Thanks!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 3.0.7

---------------
software-center (3.0.7) maverick-proposed; urgency=low

  [ Gary Lasker ]
  * softwarecenter/backend/aptd.py:
    - fix crash during reload (LP: #673991)
 -- Michael Vogt <email address hidden> Thu, 02 Dec 2010 20:37:29 +0100

Changed in software-center (Ubuntu Maverick):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers